---
title: "Get a single asset execution"
url: "https://developers.bynder.com/apis/agents/versions/f5aecf98-613e-4ae8-b26a-ec2cdf804b2c/operations/getAssetExecution"
---

> Full API specification: https://developers.bynder.com/apis/agents/versions/f5aecf98-613e-4ae8-b26a-ec2cdf804b2c.md

# Get a single asset execution

`GET` `/api/1/agent/executions/{id}/asset-executions/{assetExecutionId}`

Operation ID: `getAssetExecution`

Returns a single asset execution belonging to an agent execution.

## Path parameters

- `id` (string, uuid, required) - Id of the agent execution
- `assetExecutionId` (string, uuid, required) - Id of the asset execution, scoped to its parent agent execution

## Responses

- `200` - Asset execution
- `401` - Missing or invalid bearer token
- `403` - Caller lacks the required permission for this operation
- `404` - Resource not found
- `429` - Caller exceeded its configured request rate
- `5XX` - Gateway or a downstream service failed to process the request

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: AI Agents
  version: "1.0"
servers:
  - url: https://{your-bynder-domain}/
paths:
  /api/1/agent/executions/{id}/asset-executions/{assetExecutionId}:
    get:
      tags:
        - Executions
      summary: Get a single asset execution
      operationId: getAssetExecution
      description: Returns a single asset execution belonging to an agent execution.
      parameters:
        - $ref: "#/components/parameters/ExecutionId"
        - $ref: "#/components/parameters/AssetExecutionId"
      responses:
        "200":
          description: Asset execution
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AssetExecution"
        "401":
          $ref: "#/components/responses/Unauthorized"
        "403":
          $ref: "#/components/responses/Forbidden"
        "404":
          $ref: "#/components/responses/NotFound"
        "429":
          $ref: "#/components/responses/TooManyRequests"
        5XX:
          $ref: "#/components/responses/ServerError"
security:
  - bearerAuth: []
components:
  parameters:
    ExecutionId:
      name: id
      in: path
      required: true
      description: Id of the agent execution
      schema:
        type: string
        format: uuid
    AssetExecutionId:
      name: assetExecutionId
      in: path
      required: true
      description: Id of the asset execution, scoped to its parent agent execution
      schema:
        type: string
        format: uuid
  schemas:
    AssetExecution:
      type: object
      description: The execution of an agent on a single asset, including
        capability-specific `results` (for example, suggestions for the
        enrichment capability).
      properties:
        id:
          type: string
          format: uuid
        agentExecutionId:
          type: string
          format: uuid
        assetId:
          type: string
          format: uuid
        status:
          type: string
          description: The status of the asset execution.
          enum:
            - SCHEDULED
            - RUNNING
            - FAILED
            - COMPLETED
            - ACCEPTED
            - AUTO_APPLIED
            - DISCARDED
            - CANCELED
            - REVERTED
        createdAt:
          type: string
          format: date-time
        results:
          type: object
          additionalProperties: true
        assetName:
          type: string
          nullable: true
        draft:
          type: boolean
        removed:
          type: boolean
        errorCode:
          type: string
          nullable: true
        agentType:
          type: string
          nullable: true
          enum:
            - ENRICHMENT_AGENT
            - TRANSFORMATION_AGENT
            - BRAND_COMPLIANCE_AGENT
            - GOVERNANCE_AGENT
            - PATH_GENERATOR_AGENT
        thumbnail:
          type: object
          nullable: true
          properties:
            small:
              type: string
            large:
              type: string
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  responses:
    Unauthorized:
      description: Missing or invalid bearer token
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
    Forbidden:
      description: Caller lacks the required permission for this operation
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
    TooManyRequests:
      description: Caller exceeded its configured request rate
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
    ServerError:
      description: Gateway or a downstream service failed to process the request
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
```
